Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class StatusLevel

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.StatusLevel

All Implemented Interfaces:
  Comparable

public class StatusLevel
extends Object
implements Comparable

An enumeration of values for a `<status>` element's `level` attribute.

Field Summary
`static StatusLevel` | `ERROR` "error"
`static StatusLevel` | `FATAL` "fatal"
`static StatusLevel` | `RETRY` "retry"
`static StatusLevel` | `SUCCESS` "success"
`static StatusLevel` | `WARNING` "warning"

Method Summary
`int` | `compareTo(Object someLevel)` Compares this level to `someLevel`.
`boolean` | `equals(Object someLevel)` Compares this level to `someLevel`.
`boolean` | `equals(String someLevel)` Compares this level to `string`.
`static StatusLevel` | `getLevel(String level)` Returns the status level corresponding to the passed string.
`String` | `toString()` Returns a string representation of this version (e.g., "warning", "retry", "error").

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FATAL

    public static final StatusLevel FATAL

  "fatal"

### ERROR

    public static final StatusLevel ERROR

  "error"

### RETRY

    public static final StatusLevel RETRY

  "retry"

### WARNING

    public static final StatusLevel WARNING

  "warning"

### SUCCESS

    public static final StatusLevel SUCCESS

  "success"

Method Detail

### getLevel

    public static final StatusLevel getLevel(String level)

  Returns the status level corresponding to the passed string.

  Parameters:
    `level` - the passed string
  Returns:
    the equivalent status level object

### equals

    public boolean equals(Object someLevel)

  Compares this level to `someLevel`.

  Parameters:
    `someLevel` - may be `null`
  Returns:
    `true`:
      if `someLevel` is equal to this level
    `false`:
      if `someLevel` is not equal to this level

### equals

    public boolean equals(String someLevel)

  Compares this level to `string`.

  Parameters:
    `someLevel` - may be `null`
  Returns:
    `true`:
      if `string` is equal to this level
    `false`:
      if `sting` is not equal to this level

### compareTo

    public int compareTo(Object someLevel)

  Compares this level to `someLevel`.

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `someLevel` - must not be `null`
  Returns:
    `XDS.LESS_THAN`:
      if this level is less than `someLevel`
    `XDS.EQUAL`:
      if this level is equal to `someLevel`
    `XDS.GREATER_THAN`:
      if this level is greater than `someLevel`

### toString

    public String toString()

  Returns a string representation of this version (e.g., "warning", "retry", "error").

  Returns:
    will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD